TraverseLoopBuilder Class

class NXOpen.Tooling.TraverseLoopBuilder

Bases: NXOpen.Builder

The builder class for Traverse Loop component which assists you to select or traverse a string of adjacent curves or edges.

To create a new instance of this class, use NXOpen.Tooling.TraverseLoopCollection.CreateBuilder()

Default values.

Property Value
BridgeGap 0
ByColor 0
EndEdge 0
TolSetting 0.0254

New in version NX7.5.0.

Properties

Property Description
BridgeGap Returns or sets the option to bridge gap or not.
ByColor Returns or sets a Traverse loop by following face color or not.
EndEdge Returns or sets a Traverse loop by using start edge/end edge or not.
ExitLoop Returns or sets the option to exit the current loop.
SelectEdge Returns the selected edges and curves which will form the loop.
Tag Returns the Tag for this object.
TolSetting Returns or sets the chaining tolerance.

Methods

Method Description
ActAccept Accept current path.
ActBack Traverse back action.
ActClose Close current loop.
ActCycle Cycle candidate path.
ActEdgeSelection Start traverse after selecting edges or curve.
ActExit Exit current loop.
CheckGap Calculate the gap between last selected objects and existing loop string, and find out the nearest end point.
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
MoveCurves Move extract curves that are not parting lines to the invisible layer.
ResetTraverseData Reset traverse data after one loop closed.
SetTraverseStartEndPoint Set start and end points for traversal.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
SwitchToPartinglineLayer Make parting layer as the work layer.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

BridgeGap

TraverseLoopBuilder.BridgeGap

Returns or sets the option to bridge gap or not.

-------------------------------------

Getter Method

Signature BridgeGap

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BridgeGap

Parameters:bridgeGap (bool) –

New in version NX7.5.0.

License requirements: None.

ByColor

TraverseLoopBuilder.ByColor

Returns or sets a Traverse loop by following face color or not.

-------------------------------------

Getter Method

Signature ByColor

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ByColor

Parameters:byColor (bool) –

New in version NX7.5.0.

License requirements: None.

EndEdge

TraverseLoopBuilder.EndEdge

Returns or sets a Traverse loop by using start edge/end edge or not.

-------------------------------------

Getter Method

Signature EndEdge

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature EndEdge

Parameters:endEdge (bool) –

New in version NX7.5.0.

License requirements: None.

ExitLoop

TraverseLoopBuilder.ExitLoop

Returns or sets the option to exit the current loop.

-------------------------------------

Getter Method

Signature ExitLoop

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ExitLoop

Parameters:isExitLoop (bool) –

New in version NX7.5.0.

License requirements: None.

SelectEdge

TraverseLoopBuilder.SelectEdge

Returns the selected edges and curves which will form the loop.

-------------------------------------

Getter Method

Signature SelectEdge

Returns:
Return type:NXOpen.ScCollector

New in version NX7.5.0.

License requirements: None.

TolSetting

TraverseLoopBuilder.TolSetting

Returns or sets the chaining tolerance.

-------------------------------------

Getter Method

Signature TolSetting

Returns:
Return type:float

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TolSetting

Parameters:tolSetting (float) –

New in version NX7.5.0.

License requirements: None.

Method Detail

ActAccept

TraverseLoopBuilder.ActAccept

Accept current path.

Signature ActAccept()

New in version NX7.5.0.

License requirements: None.

ActBack

TraverseLoopBuilder.ActBack

Traverse back action.

Signature ActBack()

New in version NX7.5.0.

License requirements: None.

ActClose

TraverseLoopBuilder.ActClose

Close current loop.

Signature ActClose()

New in version NX7.5.0.

License requirements: None.

ActCycle

TraverseLoopBuilder.ActCycle

Cycle candidate path.

Signature ActCycle()

New in version NX7.5.0.

License requirements: None.

ActEdgeSelection

TraverseLoopBuilder.ActEdgeSelection

Start traverse after selecting edges or curve.

Signature ActEdgeSelection(pTolSelObject, selections, deselections, cpoint, selectEndEdge)

Parameters:
  • pTolSelObject (list of NXOpen.NXObject) – Total selected objects.
  • selections (list of NXOpen.NXObject) – Last selected objects.
  • deselections (list of NXOpen.NXObject) – Last deselected objects.
  • cpoint (NXOpen.Point3d) – Cursor point position when selecting one edge first time.
  • selectEndEdge (bool) – Whether last selected object is the end edge.

New in version NX7.5.0.

License requirements: None.

ActExit

TraverseLoopBuilder.ActExit

Exit current loop.

Signature ActExit()

New in version NX7.5.0.

License requirements: None.

CheckGap

TraverseLoopBuilder.CheckGap

Calculate the gap between last selected objects and existing loop string, and find out the nearest end point.

Signature CheckGap(selections)

Parameters:selections (list of NXOpen.NXObject) – Last selected objects.
Returns:a tuple
Return type:A tuple consisting of (gap, nearPoint). gap is a float. The gap between nearPoint and end point of existing loop string. nearPoint is a NXOpen.Point3d. End point of last selected object near to end point of existing loop string.

New in version NX7.5.0.

License requirements: None.

MoveCurves

TraverseLoopBuilder.MoveCurves

Move extract curves that are not parting lines to the invisible layer.

Signature MoveCurves(pPartingLines)

Parameters:pPartingLines (list of NXOpen.NXObject) – parting lines obtained by Traverse Loop which can be edges or curves.

New in version NX7.5.0.

License requirements: None.

ResetTraverseData

TraverseLoopBuilder.ResetTraverseData

Reset traverse data after one loop closed.

Signature ResetTraverseData()

New in version NX7.5.0.

License requirements: None.

SetTraverseStartEndPoint

TraverseLoopBuilder.SetTraverseStartEndPoint

Set start and end points for traversal.

Signature SetTraverseStartEndPoint(candidate, pointCloseCursor, selections)

Parameters:
  • candidate (NXOpen.NXObject) – First selected object.
  • pointCloseCursor (NXOpen.Point3d) – End point of selected object used to start traverse.
  • selections (list of NXOpen.NXObject) – All selected objects to traverse.

New in version NX7.5.0.

License requirements: None.

SwitchToPartinglineLayer

TraverseLoopBuilder.SwitchToPartinglineLayer

Make parting layer as the work layer.

Signature SwitchToPartinglineLayer()

New in version NX7.5.0.

License requirements: None.

Validate

TraverseLoopBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.